Bug 184245 - biology/blat: Update to version 35
Summary: biology/blat: Update to version 35
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-24 18:10 UTC by tkato432
Modified: 2014-02-27 11:50 UTC (History)
0 users

See Also:


Attachments
file.diff (5.06 KB, patch)
2013-11-24 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-11-24 18:10:08 UTC
- Update to version 35
Comment 1 Philippe Audeoud freebsd_committer 2013-11-27 15:50:24 UTC
State Changed
From-To: open->feedback

Hello. You define DOCS in options but you don't use PORTS_OPTIONS:MDOCS. 
USE_ZIP is better than EXTRACT_SUFX and pkg-descr should terminate with 
a newline. Regards
Comment 2 Frederic Culot freebsd_committer 2013-11-27 16:51:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 3 tkato432 2013-11-28 09:29:05 UTC
jadawin@FreeBSD.org wrote:

> Hello. You define DOCS in options but you don't use PORTS_OPTIONS:MDOCS.
> USE_ZIP is better than EXTRACT_SUFX and pkg-descr should terminate with
> a newline. Regards

It's unclear to me what is the advantage of external unzip package
about extracting normal Zip archive over bsdtar.
Comment 4 Philippe Audeoud freebsd_committer 2013-11-28 09:38:57 UTC
On Thu, 28 Nov 2013, KATO Tsuguru wrote:

> jadawin@FreeBSD.org wrote:
> 
> > Hello. You define DOCS in options but you don't use PORTS_OPTIONS:MDOCS.
> > USE_ZIP is better than EXTRACT_SUFX and pkg-descr should terminate with
> > a newline. Regards
> 
> It's unclear to me what is the advantage of external unzip package
> about extracting normal Zip archive over bsdtar.

Have a look to Mk/bsd.port.mk.
Comment 5 tkato432 2013-11-28 17:00:00 UTC
jadawin@FreeBSD.org wrote:

> Have a look to Mk/bsd.port.mk.

The only thing bsd.port.mk tells me is USE_ZIP needs Info-ZIP's
unzip as dependency. There seems to be no information about which
one is superior to the other.

If standard equipment and optional package have same function
under the same condition, it would be difficult for anybody to
find a reason to give higher priority to optional one.
Comment 6 Frederic Culot freebsd_committer 2014-01-22 18:32:18 UTC
Responsible Changed
From-To: culot->freebsd-ports-bugs

Already hold this PR too long, I prefer reassigning it to the heap as I 
don't have enough time to test it properly. My apologies for that.
Comment 7 Martin Wilke freebsd_committer 2014-01-23 15:45:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 8 Martin Wilke freebsd_committer 2014-02-27 11:46:11 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 9 dfilter service freebsd_committer 2014-02-27 11:46:19 UTC
Author: miwi
Date: Thu Feb 27 11:46:11 2014
New Revision: 346318
URL: http://svnweb.freebsd.org/changeset/ports/346318
QAT: https://qat.redports.org/buildarchive/r346318/

Log:
  - Update to 35
  
  PR:		184245

Modified:
  head/biology/blat/Makefile
  head/biology/blat/distinfo
  head/biology/blat/files/pkg-message.in
  head/biology/blat/pkg-descr

Modified: head/biology/blat/Makefile
==============================================================================
--- head/biology/blat/Makefile	Thu Feb 27 11:45:26 2014	(r346317)
+++ head/biology/blat/Makefile	Thu Feb 27 11:46:11 2014	(r346318)
@@ -2,45 +2,68 @@
 # $FreeBSD$
 
 PORTNAME=	blat
-PORTVERSION=	34
+PORTVERSION=	35
 CATEGORIES=	biology
-MASTER_SITES=	http://www.soe.ucsc.edu/~kent/src/
+MASTER_SITES=	http://hgwdev.cse.ucsc.edu/~kent/src/ \
+		http://users.soe.ucsc.edu/~kent/src/
 DISTNAME=	${PORTNAME}Src${PORTVERSION}
+EXTRACT_SUFX=	.zip
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Fast tool for local sequence similarity searches
 
+LIB_DEPENDS=	libpng15.so:${PORTSDIR}/graphics/png
+
+OPTIONS_DEFINE=	DOCS
+
+WRKSRC=		${WRKDIR}/${PORTNAME}Src
+
 USES=		gmake
-EXTRACT_SUFX=	.zip
+USE_OPENSSL=	yes
 MAKEFILE=	makefile
-WRKSRC=		${WRKDIR}/${PORTNAME}Src
-MAKE_ENV+=	HOME="${WRKSRC}/${BINDIR}" MACHTYPE="${ARCH}"
+MAKE_ENV=	MACHTYPE="${ARCH}" HOME="${WRKSRC}/${BINDIR}" STRIP="${TRUE}"
+
+CPPFLAGS+=	$$(libpng-config --cflags)
+LDFLAGS+=	$$(libpng-config --ldflags)
 
 SUB_FILES=	pkg-message
 
+PORTDOCS=	README
+PLIST_FILES=	${EXECUTABLES:S,^,bin/,} \
+		lib/blat/webBlat/webBlat \
+		lib/blat/webBlat/install.txt
+PLIST_DIRS=	lib/blat/webBlat \
+		lib/blat
+
 EXECUTABLES=	blat faToNib faToTwoBit gfClient gfServer nibFrag \
 		pslPretty pslReps pslSort twoBitInfo twoBitToFa
 
-PLIST_FILES+=	${EXECUTABLES:S,^,bin/,}
-PORTDOCS=	README
-PORTDATA=	*
-
-OPTIONS_DEFINE=	DOCS
+.include <bsd.port.options.mk>
 
 post-patch:
 	@${MKDIR} ${WRKSRC}/bin/${ARCH}
 	@${MKDIR} ${WRKSRC}/lib/${ARCH}
-	@${REINPLACE_CMD} -E 's,^(CC|CFLAGS)=,\1 ?=,g;s,-Werror,,g' \
-		${WRKSRC}/inc/common.mk
+	@${FIND} ${WRKSRC} -name "makefile" | ${XARGS} ${REINPLACE_CMD} -e \
+		's|$${DESTDIR}||g'
+	@${REINPLACE_CMD} -e \
+		's|cd |$$(MAKE) -C | ; \
+		 s| &&.*||' ${WRKSRC}/makefile
+	@${REINPLACE_CMD} -e \
+		's|^CC=|CC?=| ; \
+		 s|^COPT=.*|COPT=$${CPPFLAGS}| ; \
+		 s|^L=.*|L=$${LDFLAGS}|' ${WRKSRC}/inc/common.mk
 
 do-install:
 .for exe in ${EXECUTABLES}
-	${INSTALL_PROGRAM} ${WRKSRC}/bin/${ARCH}/${exe} ${STAGEDIR}${PREFIX}/bin
+	(cd ${WRKSRC}/bin/${ARCH} && ${INSTALL_PROGRAM} ${exe} \
+		${STAGEDIR}${PREFIX}/bin)
 .endfor
-	@${MKDIR} ${STAGEDIR}${DATADIR}/webBlat
-	${INSTALL_PROGRAM} ${WRKSRC}/webBlat/webBlat ${STAGEDIR}${DATADIR}/webBlat
-	${INSTALL_DATA} ${WRKSRC}/webBlat/install.txt ${STAGEDIR}${DATADIR}/webBlat
+	@${MKDIR} ${STAGEDIR}${PREFIX}/lib/blat/webBlat
+	(cd ${WRKSRC}/webBlat && ${INSTALL_PROGRAM} webBlat \
+		${STAGEDIR}${PREFIX}/lib/blat/webBlat)
+	(cd ${WRKSRC}/webBlat && ${INSTALL_DATA} install.txt \
+		${STAGEDIR}${PREFIX}/lib/blat/webBlat)
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/README ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} README ${STAGEDIR}${DOCSDIR})
 
 .include <bsd.port.mk>

Modified: head/biology/blat/distinfo
==============================================================================
--- head/biology/blat/distinfo	Thu Feb 27 11:45:26 2014	(r346317)
+++ head/biology/blat/distinfo	Thu Feb 27 11:46:11 2014	(r346318)
@@ -1,2 +1,2 @@
-SHA256 (blatSrc34.zip) = b764828fdf8ef4c9994ae4b6148340a776493475edb573b6adf63ae7ca9b2629
-SIZE (blatSrc34.zip) = 2142975
+SHA256 (blatSrc35.zip) = 06d9bcf114ec4a4b21fef0540a0532556b6602322a5a2b33f159dc939ae53620
+SIZE (blatSrc35.zip) = 1886214

Modified: head/biology/blat/files/pkg-message.in
==============================================================================
--- head/biology/blat/files/pkg-message.in	Thu Feb 27 11:45:26 2014	(r346317)
+++ head/biology/blat/files/pkg-message.in	Thu Feb 27 11:46:11 2014	(r346318)
@@ -3,6 +3,6 @@
  A CGI script (webBlat) and instructions on how to set up a BLAT web server
  have been installed in 
  
- %%DATADIR%%
+ %%PREFIX%%/lib/blat
 
 ===============================================================================

Modified: head/biology/blat/pkg-descr
==============================================================================
--- head/biology/blat/pkg-descr	Thu Feb 27 11:45:26 2014	(r346317)
+++ head/biology/blat/pkg-descr	Thu Feb 27 11:46:11 2014	(r346318)
@@ -1,9 +1,9 @@
-BLAT is a bioinformatics software tool which performs rapid mRNA/DNA
-and cross-species protein alignments. BLAT is more accurate and 500
-times faster than popular existing tools for mRNA/DNA alignments and 50
-times faster for protein alignments at sensitivity settings typically
-used when comparing vertebrate sequences. (Source: Kent, W.J. 2002. BLAT
--- The BLAST-Like Alignment Tool. Genome Research 4: 656-664.
+BLAT is a bioinformatics software tool which performs rapid mRNA/DNA and
+cross-species protein alignments. BLAT is more accurate and 500 times
+faster than popular existing tools for mRNA/DNA alignments and 50 times
+faster for protein alignments at sensitivity settings typically used
+when comparing vertebrate sequences. (Source: Kent, W.J. 2002. BLAT --
+The BLAST-Like Alignment Tool. Genome Research 4: 656-664.
 http://dx.doi.org/10.1101/gr.229202)
 
 BLAT is not BLAST. DNA BLAT works by keeping an index of the entire
@@ -11,4 +11,4 @@ genome (but not the genome itself) in me
 bit less than a gigabyte of RAM, BLAT can deliver high performance on a
 reasonably priced Linux box.
 
-WWW: http://www.genomeblat.com
+WWW: http://users.soe.ucsc.edu/~kent/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"